 About the Microsoft Excel 2000 Euro Currency Tools

About the Microsoft Excel 2000 Euro Currency Tools

This topic provides information about:

What are the Euro Currency Tools?

Loading the add-in program

Conversion rates

New euro member currencies

Working with earlier versions of Excel

What are the Euro Currency Tools?

The Microsoft Excel Euro Currency Tools add-in program provides the following tools to work with euros and the national currency units of the European Union (EU) members that have adopted the euro:

  • A toolbar button to format euro values

  • The EUROCONVERT worksheet function

Return to top

Loading the add-in program

To load the Euro Currency Tools, click Add-Ins on the Excel Tools menu, and then select the Euro Currency Tools check box. If this check box is missing, you must install the add-in program before you can load it.

Return to top

Conversion rates

When you use the EUROCONVERT worksheet function to convert currencies, the function uses the fixed conversion rates and conversion rules as established by the EU. To get full information about the rules and rates currently in effect, see the European Commission publications about the euro or the Microsoft euro Web site.

Return to top

New euro member currencies

For a list of the current euro member currencies, see the EUROCONVERT worksheet function. When additional countries adopt the euro, or when the EU changes the conversion rates or rules, Microsoft will make available updates for the Euro Currency Tools add-in program. To get information about any updates currently available for download from the Web, see the Microsoft Office euro Web site. For information about other ways to obtain updates, contact Microsoft technical support or your Microsoft Office vendor.

Return to top

Working with earlier versions of Excel

Tools for working with euros in versions of Excel earlier than Excel 2000 are available on the Microsoft Office euro Web site. Users of earlier Excel versions who do not have these tools can view euro values in workbooks that were created in Excel 2000 and saved in a compatible format. Learn about working with euros in earlier versions of Excel.

Return to top

More information

How Excel recognizes euro values

Troubleshoot euro conversion

Return to top


How Microsoft Excel calculates euro conversions

Important The conversion rates in this topic are examples, and the explanations of the rules are a summary, not a complete description. The actual rates and rules that the EUROCONVERT worksheet function uses are the specific conversion rates and rules as established by the European Union (EU).

This topic provides general information about how the EUROCONVERT worksheet function calculates converted values in accordance with the EU rules, including how conversions between two euro member currencies use an intermediate conversion to euros. The euro member currencies are the national currency units of the EU members that have adopted the euro.

Converting between a euro member currency and euros

Converting between two euro member currencies

Converting between a euro member currency and euros

Conversion factors The EUROCONVERT worksheet function uses the EU rates, or conversion factors, that express one euro in each of the euro member currencies. Each rate has six significant digits. For example, 1 euro might be 6.55957 French francs or 1.95583 deutsche marks.

Precision of calculation EUROCONVERT always uses the full six significant digits of the rate to convert values to or from euros, without rounding or truncating the rate, regardless of how many significant digits are used to display the result. For example, according to the EU rules, you cannot use rates such as 1 euro for 6.56 French francs or 2.00 deutsche marks.

Inverse conversion rates According to the EU rules, you cannot use inverse conversion rates, in which a unit of a national currency is expressed as a percentage of one euro, because this method could round the conversion factor. The rules require using the established euro-to-national-currency rates for all conversions. Using the previous rate examples, the following conversion methods would be correct, and EUROCONVERT uses these methods:

1.00 deutsche mark = 1.00 / 1.95583 = 0.51 euro

0.51 euro = 0.51 * 1.95583 = 1.00 deutsche mark

Rounding of results When EUROCONVERT converts values to euros, it rounds the resulting values to the nearest cent with two decimal places (100 cents to a euro). When EUROCONVERT converts values from euros to a euro member currency, it rounds the resulting values to the smallest unit of that currency. For example, conversions round deutsche marks to the nearest pfennig with two decimal places (100 pfennigs to a mark). If a conversion results in exactly half of the smallest unit, the result is rounded up.

Discrepancies from rounding Rounding can sometimes introduce discrepancies. For example, if you convert three Spanish peseta values to euros and then total the converted values, the result may not be identical to the result you'd get if you first total the three peseta values and then convert that total to euros. The EU rules allow national authorities and business associations to determine standards and practices for handling such discrepancies. By using Excel and the EUROCONVERT worksheet function, you can create formulas that conform to local standards and practices for these calculations.

Return to top

Converting between two euro member currencies

According to the EU rules, when you convert values between one euro member currency and another, you must convert the first currency to euros, rounding to no fewer than three decimal places. Then you convert the resulting euro value to the second currency. Using the previous rate examples to convert between French francs and deutsche marks, the following conversion methods would be correct, and EUROCONVERT uses these methods:

5.00 French francs = 5.00 / 6.55957 = 0.7622451, rounded to 0.762 euro

0.762 euro = 0.762 * 1.95583 = 1.4903425, rounded to 1.49 deutsche marks (rounded down to the nearest pfennig)

EUROCONVERT rounds the intermediate euro value to three decimal places, or significant digits, by default. However, you can round to more than three decimal places, if you want to.

Return to top

More information

To get full information about the rules and the rates currently in effect, see the European Commission publications about the euro. For information about obtaining these publications, connect to the Microsoft euro Web site.

Return to top


 How Microsoft Excel recognizes euro values

How Microsoft Excel recognizes euro values

When you type your regional currency symbol (such as the dollar sign $) next to a value, Excel recognizes the value as currency and not, for example, as text. That currency symbol for your computer is designated by the regional settings in Windows Control Panel. Excel can also recognize the euro sign in the same way, even though you haven't designated it as your regional symbol in Control Panel.

Operating system support For Excel 2000 to recognize euro values, your operating system must support the euro sign. Microsoft Windows 98 and Microsoft Windows 2000 Professional have this support built in. Users of Microsoft Windows 95 and Microsoft Windows NT Workstation 4.0 can download euro sign support.

Note You can also convert euro member currencies to euros by using the EUROCONVERT worksheet function from the Euro Currency Tools add-in program, which is included with Excel 2000. (Euro member currencies are the national currency units of European Union (EU) members that have adopted the euro.) However, you don't have to install or load this add-in program for Excel to recognize both euro values and values in your local currency.

Typing values in euros You can type values with the euro sign [image] before or after the number, and include or omit a space between the number and the euro sign. On a U.S. keyboard with the default Windows regional settings, you can enter the euro sign by pressing ALT+0128 on the numeric keypad. Learn about how to enter the euro sign on other keyboards.

For example, if you type any of the following values, Excel recognizes them as one euro:

Euro 1 1 Euro Euro 1 1 Euro

Formats for euros When you type a value in euros, Excel formats the cell as currency and includes two decimal places. For example, if you type Euro 1.2, Excel displays Euro 1.20. If you type 2.359 Euro, Excel stores all three decimal places but displays 2.36 Euro, rounding up the last decimal place.

If you enter a value in euros and then click Undo [image] , Excel removes the currency format from the cell along with the data.

You can also format cells with the euro currency style before or after you enter the values. When you format the cells, you don't have to type the euro sign.

Bringing euro data into Excel When you copy data from another program into Excel, retrieve external data by using Microsoft Query or a Web query, or import a text file, Excel recognizes euro and local currency values the same way as when you type them.

Euro values in macros You can also record and play back macros that involve euro values, just as you can record and play back macros that involve values in your local currency.

More information

Ways to retrieve external data

Open a text file in Excel


 About working with euro values and formulas in earlier versions of Microsoft Excel

About working with euro values and formulas in earlier versions of Microsoft Excel

To view or work with Excel 2000 worksheets that include euro values and formulas on a computer that has an earlier version of Excel, first make sure that your operating system supports the euro sign. Microsoft Windows 98 and Microsoft Windows 2000 Professional have this support built in. Users of Microsoft Windows 95 and Microsoft Windows NT Workstation 4.0 can download euro sign support. For information about euro sign support for the Macintosh operating system, contact your Macintosh vendor.

This topic provides information about working with the euro in the following versions of Excel:

Microsoft Excel 97

Microsoft Excel 95

Microsoft Excel 98 for the Macintosh

Earlier versions of Microsoft Excel

Microsoft Excel 97

Add-in program with Windows euro sign support A Euro Currency Tools add-in program is available for Excel 97 from the Microsoft Office euro Web site. If you install and load this add-in program and you also have Windows operating system support for the euro sign, you can view and use Excel 2000 worksheets that contain euro values and formulas with the EUROCONVERT worksheet function. Euro values will appear the same as in Excel 2000, and EUROCONVERT formulas will calculate euro and other euro member currency values.

Add-in program without Windows euro sign support If you install and load the add-in program for Excel 97 on a system that does not have Windows operating system support for the euro sign, formulas that include the EUROCONVERT worksheet function will calculate values, but the euro sign will appear as Box character instead of Euro sign.

No add-in program with Windows euro sign support If you don't have the add-in program for Excel 97 but do have Windows operating system support for the euro sign, euro values on worksheets will be displayed correctly, but if you update links or calculate formulas that include the EUROCONVERT worksheet function, the formulas will display the #NAME? error.

No add-in program, no Windows euro sign support If you don't have the add-in program and also don't have Windows operating system support for the euro sign, the euro sign will appear as Box character instead of Euro sign, and if you update links or calculate formulas that include the EUROCONVERT worksheet function, the formulas will display the #NAME? error.

Return to top

Microsoft Excel 95

To work with Excel 2000 worksheets that include euro values and formulas, first save the workbook in Microsoft Excel 97-2000 & 5.0/95 Workbook format so that it can be opened in Excel 95. If you don't have Windows operating system support for the euro sign, the euro sign will appear as Box character instead of Euro sign. Whether or not you have Windows operating system support for the euro sign, if you update links or calculate formulas that include the EUROCONVERT worksheet function, the formulas will display the #NAME? error.

Return to top

Microsoft Excel 98 for the Macintosh

For information about the availability of euro features for Excel 98 for the Macintosh, connect to the Microsoft euro Web site.

To work with Excel 2000 worksheets that include euro values and formulas, first save the workbook in Microsoft Excel 97-2000 & 5.0/95 Workbook format so that it can be opened in Excel 98. See Help for Excel 98 for information about working with Excel for Windows files on the Macintosh.

To display the euro sign, you must first install fonts that include the euro sign. You can obtain these fonts for your version of the Macintosh operating system from Apple. When you open a workbook on the Macintosh that does not have fonts that include the euro sign, the euro sign will appear as an underscore ( _ ) instead of Euro sign. Whether or not you have fonts installed that support the euro sign, if you update links or calculate formulas that include the EUROCONVERT worksheet function, the formulas will display the #NAME? error.

Return to top

Earlier versions of Microsoft Excel

No add-in program is available for versions of Excel for Windows or Macintosh earlier than Excel 95. For information about euro fonts for Windows 3.x, see the Microsoft euro Web site. If you save an Excel 2000 workbook with euro values and formulas in a format compatible with a version of Excel earlier than Excel 95 and then open the workbook in that version, and you don't have operating system support for the euro sign, the euro sign will appear as Box character or _ instead of Euro sign. If you update links or calculate formulas that include the EUROCONVERT worksheet function, the formulas will display the #NAME? error.

Return to top

More information

To use a worksheet that contains EUROCONVERT formulas with a version of Excel that does not support the function, you can open the workbook in Excel 2000, copy and paste only the values of the cells on a new worksheet, and then save the workbook in a format compatible with the earlier version of Excel.

About using Microsoft Excel 2000 files with earlier versions of Excel

Formatting and features not transferred in file conversions

What does the error #NAME? mean?

Return to top


 Format values in euro currency style

Format values in euro currency style

Use this procedure to apply a euro currency style to the selected cells. If the cells you want to format contain non-euro values, you instead need to convert the values to euros by using the EUROCONVERT worksheet function.

If you don't see the Euro button on the Formatting toolbar, click Add-Ins on the Tools menu, and then select the Euro Currency Tools check box to load the add-in program. If this check box is missing, you must first install the add-in program.

  1. Select the cells that you want to format as euro currency style.

  2. Click Euro [image].

Notes

  • If you want to type the euro sign [image] in a cell, you can do so on a U.S. keyboard by pressing ALT+0128 on the numeric keypad. Learn about how to type the euro sign on other keyboards.

  • The regional settings for currency in Microsoft Windows Control Panel determine the position of the euro sign [image] (that is, whether the symbol appears before or after the number and whether a space separates the symbol and the number). To change this positioning, create a custom Currency style.

  • The regional settings for currency in Windows Control Panel also determine the decimal symbol and the thousands separator.


EUROCONVERT

See Also

Converts a number to euros, converts a number from euros to a euro member currency, or converts a number from one euro member currency to another by using the euro as an intermediary (triangulation). The currencies available for conversion are those of European Union (EU) members that have adopted the euro. The function uses fixed conversion rates that are established by the EU.

Syntax

EUROCONVERT(number,source,target,full_precision,triangulation_precision)

Number is the currency value you want to convert, or a reference to a cell containing the value.

Source is a three-letter string, or reference to a cell containing the string, corresponding to the ISO code for the source currency. The following currency codes are available in the EUROCONVERT function:

Country | Basic unit of currency | ISO code
Belgium | franc | BEF
Luxembourg | franc | LUF
Germany | deutsche mark | DEM
Spain | peseta | ESP
France | franc | FRF
Ireland | pound | IEP
Italy | lira | ITL
Netherlands | guilder | NLG
Austria | schilling | ATS
Portugal | escudo | PTE
Finland | markka | FIM
Euro member states | euro | EUR

The following countries may adopt the euro after the initial version of EUROCONVERT, and if so, Microsoft will update the EUROCONVERT function. For information about new euro member currencies and updates to the EUROCONVERT function, connect to the Microsoft euro Web site.

Country | Basic unit of currency | ISO Code
Denmark | krone | DKK
Greece | drachma | GRD
Sweden | krona | SEK
UK | pound sterling | GBP

Target is a three-letter string, or cell reference, corresponding to the ISO code of the currency to which you want to convert the number. See the previous Source table for the ISO codes.

Full_precision is a logical value (TRUE or FALSE), or an expression that evaluates to a value of TRUE or FALSE, that specifies how to round the result.

Use | If you want Excel to
FALSE | Use the currency-specific rounding rules, see the table that follows. Excel uses the calculation precision value to calculate the result and the display precision value to display the result. FALSE is the default if the full_precision argument is omitted.
TRUE | Ignore the currency-specific rounding rules and instead use the six-significant-digit conversion factor with no follow-up rounding.

The following table shows the currency specific rounding rules, that is, how many decimal places Excel uses to calculate a currency's conversion and display the result.

ISO code | Calculation precision | Display precision
BEF | 0 | 0
LUF | 0 | 0
DEM | 2 | 2
ESP | 0 | 0
FRF | 2 | 2
IEP | 2 | 2
ITL | 0 | 0
NLG | 2 | 2
ATS | 2 | 2
PTE | 1 | 2
FIM | 2 | 2
EUR | 2 | 2

Triangulation_precision is an integer equal to or greater than 3 that specifies the number of significant digits to be used for the intermediate euro value when converting between two euro member currencies. If you omit this argument, Excel does not round the intermediate euro value. If you include this argument when converting from a euro member currency to the euro, Excel calculates the intermediate euro value that could then be converted to a euro member currency.

Remarks

  • Excel truncates any trailing zeros in the return value.

  • If the source ISO code is the same as the target ISO code, Excel returns the original value of the number.

  • Invalid parameters return #NUM.

  • This function does not apply a number format.

Examples

These examples assume conversion rates of 1 euro = 6.55957 French francs and 1.95583 deutsche marks. The EUROCONVERT function uses the current rates established by the EU. Microsoft will update the function if the rates change. To get full information about the rules and the rates currently in effect, see the European Commission publications about the euro. For information about obtaining these publications and updates to the EUROCONVERT function, connect to the Microsoft Office euro Web site.

The examples show the resulting value stored in the cell, not the formatted value.

EUROCONVERT(1.20,"DEM","EUR") equals 0.61 euro. Because neither full_precision nor triangulation_precision are specified, the result uses the calculation precision for the euro, which is 2 decimal places.

EUROCONVERT(1,"FRF","EUR",TRUE,3) equals 0.152 euro. When converting to euros, if full_precision is TRUE, the result has the precision specified by triangulation_precision.

EUROCONVERT(1,"FRF","EUR",FALSE,3) equals 0.15 euro. When converting to euros, if full_precision is FALSE, the result uses the calculation precision for the euro, which is 2 decimal places.

EUROCONVERT(1,"FRF","DEM",TRUE,3) equals 0.29728616 DM. Because triangulation_precision is 3, the intermediate euro value is rounded to three places. Because full_precision is TRUE, the resulting deutsche mark value is stored with all significant digits.

EUROCONVERT(1,"FRF","DEM",FALSE,3) equals 0.30 DM. Because triangulation_precision is 3, the intermediate euro value is rounded to three places. Because full_precision is FALSE, the resulting deutsche mark value is rounded to the calculation precision for the deutsche mark, which is 2 decimal places.


Troubleshoot euro currency conversion

What do you need help with?

I cannot find the Euro button.

I used the EUROCONVERT function, and the resulting value is not rounded correctly or has the wrong number of digits.

Euro conversions look different on another computer.

The EUROCONVERT worksheet function doesn't convert to or from the currency I want..

I formatted values by using the Euro button, and Undo is not available.

I imported or exported a text file, and currencies are not shown correctly.

The euro sign does not print correctly.


 Euro conversions look different on another computer.

Euro conversions look different on another computer.

For euro conversions to calculate properly, the Euro Currency Tools add-in program must be installed and loaded on the computer you are using, and you must be using the proper version of Microsoft Excel. Learn more about working with euro currency values in earlier versions of Excel.

Also, your operating system must support the euro sign. For instance, If you have Microsoft Windows 95 or Microsoft Windows NT 4.0, you may need to download the Microsoft Euro Currency Support for Windows 95 product update to input and display the euro sign in programs that support the euro sign. See the Microsoft euro Web site for more information.


 I cannot find the Euro button.

I cannot find the Euro button.

If you don't see the Euro [image] button on the Formatting toolbar, click Add-Ins on the Tools menu, and then select the Euro Currency Tools check box to load the add-in program. If this check box is missing, you must first install the add-in program.


I formatted values by using the Euro Conversion tool, and Undo is not available.

I formatted values by using the Euro button, and Undo is not available.

After you format values as euros, neither the Undo command nor the Undo button are available. To return your workbook to its previous state, close the workbook without saving changes. However, any other changes you made since your last save will also be lost.


I imported or exported a text file, and currencies are not shown correctly.

Importing When you import text files into Microsoft Excel, Excel recognizes only the currency symbol that is designated by the regional settings in Windows Control Panel, and the euro sign. When you import a file and want to show national currencies other than the default or euro currencies, you can create custom number formats and apply the desired formats to the values you want after the file is imported. To keep your changes, save the file as an Excel workbook.

Exporting See Help for the program you're exporting to for information on how that program handles euro currency.

Earlier versions of Excel Learn about working with euro values and formulas in earlier versions of Excel.


I used the EUROCONVERT function, and the resulting value is not rounded correctly or has the wrong number of digits.

The EUROCONVERT function uses the European Union rates, or conversion factors, that express one euro in each of the euro member national currency units. Each conversion factor has six significant digits.

If you want to see a different number of digits, or see the result rounded differently, you can set one of the optional arguments for the function, full_precision or triangulation_precision, or you can create a custom number format and apply it to the result.

Learn about the EUROCONVERT function or learn about how Microsoft Excel calculates euro conversions.


The euro sign does not print correctly.

Microsoft Excel and your operating system should provide the support you need to print the euro sign correctly on most printers. However, the euro sign may not print correctly on some printers using some fonts. Check with your printer manufacturer for more information.

For more information on operating system support for the euro sign, see the Microsoft euro Web site.


 The EUROCONVERT worksheet function doesn't convert to or from the currency I want.

The EUROCONVERT worksheet function doesn't convert to or from the currency I want.

The Microsoft Excel Euro Currency Tools add-in program provides the EUROCONVERT function to work with euros and the national currency units of the European Union (EU) members that have adopted the euro. The function does not convert currencies of non-euro-member countries. As additional countries adopt the euro, Microsoft will make updates to the function available. Check to make sure the country is a euro member state, and if it is, check for an updated version of the Euro Currency Tools add-in program on the Microsoft Office euro Web site.